<id>
Select number of recent posts
</id>

<version>
0.2
</version>

<mod info>
This mod replaces the most recent posts link with a pull-down menu.

This mod was created without knowing any Perl, thanks to some of the (modified) tags used in the MemberMap mod.
</mod info>

Installation:
1) Modify the files listed below
2) Backup the original files
3) Upload the modified files

Files to edit:
Admin/Modlist.pl
Languages/English/BoardIndex.lng
Templates/default/BoardIndex.template
Sources/BoardIndex.pl
Sources/Recent.pl

Compatibility:
YaBB 2.1
</mod info>

<author>
ztc
</author>

<homepage>
http://www.nationalanthems.us/cgi-bin/forum/YaBB.pl
</homepage>

<edit file>
Admin/Modlist.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>

	$recent_posts_menu_mod = "Replace the most recent posts link with a pull-down menu version 0.2|ztc|This mod replaces the most recent posts link with a pull-down menu.  |0.2|01/14/06";
	push (@installed_mods, "$recent_posts_menu_mod");
</add before>

<edit file>
Languages/English/BoardIndex.lng
</edit file>

<search for>
'793' => "of this forum.",
</search for>

<add after>
'794' => "most recent posts of this forum.",
</add after>

<edit file>
Templates/default/BoardIndex.template
</edit file>

<search for>
	  		<yabb recentposts>
</search for>

<replace>
<yabb mostrecentposts>
</replace>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
	if ($Show_RecentBar) {
		$lssub = &Censor($lssub);
		$lssub =~ s/\A\[m\]/$maintxt{'758'}/;
		&ToChars($lssub);
		$tmlsdatetime    = qq~($lsdatetime).<br />~;
		$lastpostlink    = qq~$boardindex_txt{'236'} <b><a href="$scripturl?num=$lspostid/$lsreply#$lsreply"><b>$lssub</b></a></b>~;
		$recentpostslink = qq~$boardindex_txt{'791'} <a href="$scripturl?action=recent">$boardindex_txt{'792'}</a> $boardindex_txt{'793'}~;
		$boardindex_template =~ s/<yabb lastpostlink>/$lastpostlink/g;
		$boardindex_template =~ s/<yabb recentposts>/$recentpostslink/g;
		$boardindex_template =~ s/<yabb lastpostdate>/$tmlsdatetime/g;
	} else {
		$boardindex_template =~ s/<yabb lastpostlink>//g;
		$boardindex_template =~ s/<yabb recentposts>//g;
		$boardindex_template =~ s/<yabb lastpostdate>//g;
	}
</search for>

<replace>
if ($Show_RecentBar) {
		$lssub = &Censor($lssub);
		$lssub =~ s/\A\[m\]/$maintxt{'758'}/;
		&ToChars($lssub);
		$tmlsdatetime    = qq~($lsdatetime).<br />~;
		$lastpostlink    = qq~$boardindex_txt{'236'} <b><a href="$scripturl?num=$lspostid/$lsreply#$lsreply"><b>$lssub</b></a></b>~;
		$mostrecentposts .= qq~$boardindex_txt{'791'} <form action="$scripturl?action=recent" style="font-size: 10px; font-weight: normal;" method="post" name="recent" style="display: inline">~;
		$mostrecentposts .= qq~<select size="1" style="font-size: 6px; font-weight: normal" select class="nav" name="display" onchange="submit()">~;
		$mostrecentposts .= qq~<option value="5" selected="selected">---</option>~;
		$mostrecentposts .= qq~<option value="5">5</option>~;
		$mostrecentposts .= qq~<option value="10">10</option>~;
		$mostrecentposts .= qq~<option value="25">25</option>~;
		$mostrecentposts .= qq~<option value="50">50</option>~;
		$mostrecentposts .= qq~<option value="100">100</option>~;

		$mostrecentposts .= qq~</select> $boardindex_txt{'794'}~;
		$mostrecentposts .= qq~</form>~;

		$boardindex_template =~ s/<yabb lastpostlink>/$lastpostlink/g;
		$boardindex_template =~ s/<yabb mostrecentposts>/$mostrecentposts/g;
		$boardindex_template =~ s/<yabb lastpostdate>/$tmlsdatetime/g;
	} else {
		$boardindex_template =~ s/<yabb lastpostlink>//g;
		$boardindex_template =~ s/<yabb mostrecentposts>//g;
		$boardindex_template =~ s/<yabb lastpostdate>//g;
	}
</replace>

<edit file>
Sources/Recent.pl
</edit file>

<search for>
sub RecentPosts {
	&spam_protection;
	my $display = $INFO{'display'} ||= 10;
</search for>

<replace>
sub RecentPosts {
	&spam_protection;
	my $display = $FORM{'display'} || 0;
</replace>